service:
  spec:
    externalTrafficPolicy: Local

ports:
  web:
    asDefault: true
    expose:
      default: true
    exposedPort: 80
    port: 8000
    protocol: TCP
    proxyProtocol:
      trustedIPs: [ 127.0.0.1/8,10.0.0.0/8 ]
    forwardedHeaders:
      trustedIPs: [ 127.0.0.1/8,10.0.0.0/8 ]
    transport:
      respondingTimeouts:
        writeTimeout: 0
        idleTimeout: 0
        readTimeout: 0
  websecure:
    expose:
      default: true
    exposedPort: 443
    port: 8443
    protocol: TCP
    proxyProtocol:
      trustedIPs: [ 127.0.0.1/8,10.0.0.0/8 ]
    forwardedHeaders:
      trustedIPs: [ 127.0.0.1/8,10.0.0.0/8 ]
    transport:
      respondingTimeouts:
        writeTimeout: 0
        idleTimeout: 0
        readTimeout: 0
  ssh:
    expose:
      default: true
    exposedPort: 2223
    port: 2223
    protocol: TCP
    proxyProtocol:
      trustedIPs: [ 127.0.0.1/8,10.0.0.0/8 ]
    transport:
      respondingTimeouts:
        writeTimeout: 600s
        idleTimeout: 60s
        readTimeout: 600s
  imaps:
    expose:
      default: true
    exposedPort: 993
    port: 8993
    protocol: TCP
    proxyProtocol:
      trustedIPs: [ 127.0.0.1/8,10.0.0.0/8 ]
    transport:
      respondingTimeouts:
        writeTimeout: 600s
        idleTimeout: 300s
        readTimeout: 600s
  pop3s:
    expose:
      default: true
    exposedPort: 995
    port: 8995
    protocol: TCP
    proxyProtocol:
      trustedIPs: [ 127.0.0.1/8,10.0.0.0/8 ]
    transport:
      respondingTimeouts:
        writeTimeout: 600s
        idleTimeout: 300s
        readTimeout: 600s
  sieve:
    expose:
      default: true
    exposedPort: 4190
    port: 4190
    protocol: TCP
    proxyProtocol:
      trustedIPs: [ 127.0.0.1/8,10.0.0.0/8 ]
    transport:
      respondingTimeouts:
        writeTimeout: 600s
        idleTimeout: 300s
        readTimeout: 600s
  smtp:
    expose:
      default: true
    exposedPort: 25
    port: 8025
    protocol: TCP
    transport:
      respondingTimeouts:
        writeTimeout: 300s
        idleTimeout: 300s
        readTimeout: 300s
  smtps:
    expose:
      default: true
    exposedPort: 465
    port: 8465
    protocol: TCP
    proxyProtocol:
      trustedIPs: [ 127.0.0.1/8,10.0.0.0/8 ]
    transport:
      respondingTimeouts:
        writeTimeout: 300s
        idleTimeout: 300s
        readTimeout: 300s
